package com.liquidnet.service.goblin.service.impl.manage;

import com.liquidnet.service.base.ResponseDto;
import com.liquidnet.service.goblin.dto.manage.GoblinStorePurchaseItemParam;
import com.liquidnet.service.goblin.dto.vo.GoblinPurchasingVo;
import com.liquidnet.service.goblin.service.manage.IGoblinStorePurchasingService;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class GoblinStorePurchasingServiceImpl implements IGoblinStorePurchasingService {
    @Override
    public ResponseDto<List<GoblinPurchasingVo>> purchasingList(int page, String purchaseName, int status, String st, String et, String ct) {
        return null;
    }

    @Override
    public ResponseDto<Boolean> purchasingStatus(String marketId, int status) {
        return null;
    }

    @Override
    public ResponseDto<Boolean> purchasingInsert(String purchaseName, String storeId, String st, String et, Integer isPre, String preTime) {
        return null;
    }

    @Override
    public ResponseDto<Boolean> purchasingUpdate(String marketId, String purchaseName, String storeId, String st, String et, Integer isPre, String preTime) {
        return null;
    }

    @Override
    public ResponseDto<GoblinPurchasingVo> purchasingDetails(String marketId) {
        return null;
    }

    @Override
    public ResponseDto<String> purchasingSkuList(String marketId, int page) {
        return null;
    }

    @Override
    public ResponseDto<Boolean> purchasingSkuOperation(List<GoblinStorePurchaseItemParam> params) {
        return null;
    }

    @Override
    public ResponseDto<Boolean> purchasingSkuDel(String marketId, String skuId) {
        return null;
    }
}
